import partial from 'lodash.partial';
import { shouldProduceEvent } from './should-produce-event';
import { shouldThrow } from './should-throw';
import { as } from './as';
export var withSecretsManager = function withSecretsManager(context, manager) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Secrets manager cannot be assigned if the test was executed.");
  }

  environment.setSecretsManager(manager);
  return Object.assign(environment.promise, {
    shouldProduceEvent: partial(shouldProduceEvent, context),
    shouldThrow: partial(shouldThrow, context),
    as: partial(as, context)
  });
};
//# sourceMappingURL=with-secrets-manager.js.map