import isEqual from 'lodash.isequal';
import { makeAssertions } from './make-assertions';
import { stringifyShouldExecuteCommandFailure } from '../../utils/format';
export var shouldExecuteCommand = function shouldExecuteCommand(context, command) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Assertion cannot be assigned if the test was executed.");
  }

  environment.addAssertion(function (resolve, reject, result, error) {
    if (error) {
      return reject(new Error("expected a value, but received an error " + error));
    }

    var index = result ? result.commands.findIndex(function (executed) {
      return isEqual(executed, command);
    }) : -1;

    if (index >= 0) {
      return resolve(result);
    }

    return reject(new Error(stringifyShouldExecuteCommandFailure(command, result.commands)));
  });
  return makeAssertions(context);
};
//# sourceMappingURL=should-execute-command.js.map