"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.not = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _shouldReturn = require("./should-return");

var not = function not(context) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Assertion cannot be negated if the test was executed.");
  }

  if (environment.isAssertionNegated()) {
    throw Error("Assertion already negated.");
  }

  environment.negateAssertion();
  return Object.assign(environment.promise, {
    shouldReturn: (0, _lodash["default"])(_shouldReturn.shouldReturn, context)
  });
};

exports.not = not;
//# sourceMappingURL=not.js.map